Get import by ID
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/imports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/imports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/imports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 8421,
"type": "master_skus",
"stats": {
"total_rows": 1240,
"success_count": 1235,
"error_count": 5
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "ops@example.com",
"options": {},
"imported_by": "Jane Doe",
"job": {
"id": 123,
"job_id": "<string>",
"type": "<string>",
"status": "<string>",
"queue": "<string>",
"attempts": 123,
"progress_now": 123,
"progress_max": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Imports
Get import by ID
Retrieve a single import record, including its job status and row stats.
Poll this endpoint to track an import’s progress to completion.
GET
/
imports
/
{id}
Get import by ID
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Import ID
Response
Import record with job and stats
Bulk import job record. Returned from the imports endpoints and reflects the
async ImportJob that processes the rows.
Show child attributes
Show child attributes
⌘I